import { SetupContext } from 'vue';
import { YWDialogPropsType } from '/@/components/dialog/yw-dialog';

export const useYWDialog = (props: YWDialogPropsType, emits: any) => {
	/** @description 点击关闭对话框按钮 */
	const handleCloseClick = (evt: MouseEvent) => {
		emits('close', evt);
	};
	/** @description 点击确认提交 */
	const handleSubmitClick = (evt: MouseEvent) => {
		emits('submit', evt);
	};
	/** @description 在对话框关闭动画结束后触发 */
	const handleClosedClick = (evt: MouseEvent) => {
		emits('closed', evt);
	};

	/**
	 * 没有 close 和 closed 则两个都是用 handleDlgClosed
	 * @param evt 
	 */
	const handleDlgClosed = (evt: MouseEvent) =>{
		emits('dlgClosed',evt)
	}
	return {
		handleCloseClick,
		handleSubmitClick,
		handleClosedClick,
		handleDlgClosed
	};
};
